Retrieve a paginated list of all meters in your environment.
cURL
curl --request GET \ --url https://api.example.com/v1/meters
{ "data": [ { "id": "<string>", "name": "<string>", "tenant_id": "<string>", "event_name": "<string>", "aggregation": {}, "filters": [ {} ], "reset_usage": "<string>", "status": "<string>", "created_at": "<string>", "updated_at": "<string>" } ], "total": 123, "limit": 123, "offset": 123, "has_more": true }
20
10
Show meter properties
curl --request GET \ --url 'https://api.flexprice.io/v1/meters?limit=20&offset=0' \ --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "meter_550e8400e29b41d4a716446655440000", "name": "API Usage Meter", "tenant_id": "tenant_123", "event_name": "api_request", "aggregation": { "type": "COUNT" }, "filters": [], "reset_usage": "BILLING_PERIOD", "status": "published", "created_at": "2024-03-20T15:04:05Z", "updated_at": "2024-03-20T15:04:05Z" }, { "id": "meter_6a1f94c1a3eb42e5b827557766551111", "name": "Compute Hours Meter", "tenant_id": "tenant_123", "event_name": "compute_usage", "aggregation": { "type": "SUM", "field": "hours" }, "filters": [], "reset_usage": "BILLING_PERIOD", "status": "published", "created_at": "2024-03-21T10:15:30Z", "updated_at": "2024-03-21T10:15:30Z" } ], "total": 2, "limit": 20, "offset": 0, "has_more": false }